*{
  font-family: Cambria, Cochin, Georgia, Times, 'Times New Roman', serif
}

/*=============== GOOGLE FONTS ===============*/
@import url("https://fonts.googleapis.com/css2?family=Montserrat:wght@400;600&display=swap");

/*=============== VARIABLES CSS ===============*/
:root {
  --header-height: 3.5rem;

  /*========== Colors ==========*/
  /*Color mode HSL(hue, saturation, lightness)*/
  --black-color: hsl(220, 24%, 12%);
  --black-color-light: hsl(220, 24%, 15%);
  --black-color-lighten: hsl(220, 20%, 18%);
  --white-color: #fff;
  --body-color: hsl(220, 100%, 97%);

  /*========== Font and typography ==========*/
  /*.5rem = 8px | 1rem = 16px ...*/
  --body-font: "Cambria", sans-serif;
  --normal-font-size: .938rem;

  /*========== Font weight ==========*/
  --font-regular: 400;
  --font-semi-bold: 600;

  /*========== z index ==========*/
  --z-tooltip: 10;
  --z-fixed: 100;
}

/*========== Responsive typography ==========*/
@media screen and (min-width: 1024px) {
  :root {
    --normal-font-size: 1rem;
  }
}

/*=============== BASE ===============*/
* {
  box-sizing: border-box;
  padding: 0;
  margin: 0;
}

body {
  font-family: var(--body-font);
  font-size: var(--normal-font-size);
  background-color: var(--body-color);
}

ul {
  list-style: none;
  /* Color highlighting when pressed on mobile devices */
  /*-webkit-tap-highlight-color: transparent;*/
}

a {
  text-decoration: none;
}

/*=============== REUSABLE CSS CLASSES ===============*/
.container {
  max-width: 1120px;
  margin-inline: 1.5rem;
}

/*=============== HEADER ===============*/
.header {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  background-color: #efefef;
  box-shadow: 0 2px 16px hsla(220, 32%, 8%, .3);
  z-index: var(--z-fixed);
}

/*=============== NAV ===============*/
.nav {
  height: var(--header-height);
}

.nav__logo,
.nav__burger,
.nav__close {
  color: black;
}
.nav__logo:hover{
  color: #F79E1B;
}
.nav__data {
  height: 100%;
  display: flex;
  justify-content: space-between;
  align-items: center;
}



.nav__logo {
  display: inline-flex;
  align-items: center;
  column-gap: .25rem;
  font-weight: var(--font-semi-bold);
  /* Color highlighting when pressed on mobile devices */
  /*-webkit-tap-highlight-color: transparent;*/
}

.nav__logo i {
  font-weight: initial;
  font-size: 1.25rem;
}

.nav__toggle {
  position: relative;
  width: 32px;
  height: 32px;
}

.nav__burger,
.nav__close {
  position: absolute;
  width: max-content;
  height: max-content;
  inset: 0;
  margin: auto;
  font-size: 1.25rem;
  cursor: pointer;
  transition: opacity .1s, transform .4s;
}

.nav__close {
  opacity: 0;
}

.dropdown__menu{
  width: 18vw;
}

/* Navigation for mobile devices */
@media screen and (max-width: 1118px) {
  .dropdown__menu{
    width: fit-content;
  }
  .nav__data{
    width: 100%;
  }
  .nav__menu {
    position: absolute;
    left: 0;
    top: 2.5rem;
    width: 100%;
    height: calc(100vh - 3.5rem);
    overflow: auto;
    pointer-events: none;
    opacity: 0;
    transition: top .4s, opacity .3s;
  }

  .nav__menu::-webkit-scrollbar {
    width: 0;
  }

  .nav__list {
    background-color: #efefef;
    padding-top: 1rem;
    height: 80% !important;

  }
}

.nav__link {
  color:black;
  background-color:#efefef;
  font-weight: var(--font-semi-bold);
  padding: 1.25rem 1.5rem;
  display: flex;
  justify-content: space-between;
  align-items: center;
  transition: background-color .3s;
}

.nav__link:hover {
  background-color: #efefef;
  color: #F7AE15;
}

/* Show menu */
.show-menu {
  opacity: 1;
  top: 3.5rem;
  pointer-events: initial;
}

/* Show icon */
.show-icon .nav__burger {
  opacity: 0;
  transform: rotate(90deg);
}

.show-icon .nav__close {
  opacity: 1;
  transform: rotate(90deg);
}

/*=============== DROPDOWN ===============*/
.dropdown__item {
  cursor: pointer;
  border-radius: 20px;

}

.dropdown__arrow {
  font-size: 1.25rem;
  font-weight: initial;
  transition: transform .4s;
}

.dropdown__link,
.dropdown__sublink {
  padding: 1.25rem 1.25rem 1.25rem 2.5rem;
  color: black;
  background-color: #dcdcdc;
  display: flex;
  align-items: center;
  column-gap: .5rem;
  font-weight: var(--font-semi-bold);
  transition: background-color .3s;
  text-decoration: none;
  font-size: 18px;
}

.dropdown__link i,
.dropdown__sublink i {
  font-size: 1.25rem;
  font-weight: initial;
}

.dropdown__link:hover,
.dropdown__sublink:hover {
  background-color: #bdbdbd;
  color: #F79E1B;
}


.dropdown__menu,
.dropdown__submenu {
  max-height: 0;
  overflow: hidden;
  transition: max-height .4s ease-out;
}

/* Show dropdown menu & submenu */
.dropdown__item:hover .dropdown__menu,
.dropdown__subitem:hover>.dropdown__submenu {
  max-height: 1000px;
  transition: max-height .4s ease-in;
}

/* Rotate dropdown icon */
.dropdown__item:hover .dropdown__arrow {
  transform: rotate(180deg);
}

/*=============== DROPDOWN SUBMENU ===============*/
.dropdown__add {
  margin-left: auto;
}

.dropdown__sublink {
  background-color: var(--black-color-lighten);
}

/*=============== BREAKPOINTS ===============*/
/* For small devices */
@media screen and (max-width: 340px) {
  .container {
    margin-inline: 1rem;
  }

  .nav__link {
    padding-inline: 1rem;
  }
}

/* For large devices */
@media screen and (min-width: 1118px) {
  .container {
    margin-inline: auto;
  }

  .nav {
    height: calc(var(--header-height) + 2rem);
    display: flex;
    justify-content: space-between;
  }

  .nav__toggle {
    display: none;
  }

  .nav__list {
    height: 100%;
    display: flex;
    column-gap: 3rem;
  }

  .nav__link {
    height: 100%;
    padding: 0;
    justify-content: initial;
    column-gap: .25rem;
  }

  .nav__link:hover {
    background-color: transparent;
  }

  .dropdown__menu:hover{
    border-radius: 20px;
  }

  .dropdown__item,
  .dropdown__subitem {
    position: relative;
  }

  .dropdown__menu,
  .dropdown__submenu {
    max-height: initial;
    overflow: initial;
    position: absolute;
    left: 0;
    top: 6rem;
    opacity: 0;
    pointer-events: none;
    transition: opacity .3s, top .3s;
  }

  .dropdown__link,
  .dropdown__sublink {
    padding-inline: 1rem 4.5rem;
  }

  .dropdown__subitem .dropdown__link {
    padding-inline: 1rem;
  }

  .dropdown__submenu {
    position: absolute;
    left: 100%;
    top: .5rem;
  }

  /* Show dropdown menu */
  .dropdown__item:hover .dropdown__menu {
    opacity: 1;
    top: 5.5rem;
    pointer-events: initial;
    transition: top .3s;
  }

  /* Show dropdown submenu */
  .dropdown__subitem:hover>.dropdown__submenu {
    opacity: 1;
    top: 0;
    pointer-events: initial;
    transition: top .3s;
  }
}

#button a {
  border: 1px solid rgb(0, 0, 0);
  color: rgb(0, 0, 0);
  border-radius: 20px;
  padding: 10px !important;
  margin-top: 50px;
  text-decoration: none;
}

#button a:hover {
  background: linear-gradient(to right, #F7AE15 0%, #EB3C21 100%);
  color: white;
}



.progressive-reveal-list li {
  opacity: 0;
  transform: translateY(20px);
  transition: opacity 0.5s ease, transform 0.5s ease;
}

.progressive-reveal-list li.visible {
  opacity: 1;
  transform: translateY(0);
}


/*-------------
HERO SECTION
-------------*/
.hero-section {
  background-image: url("../images/materials/herosection.png");
  height: 50vh;
  background-size: cover;
  display: flex;
  background-position: center;
  padding-top: 90px;
  border-radius: 0 0px 80px 0;
}

.hero-section h1 {
  font-size: 60px;
  font-weight: bolder;
  color: white;
}

#hero {
  margin-top: 40px;
  padding: 15px 15px;
  border-radius: 20px;
  border: 1px solid #F7AE15;
  transition: 0.5s;
}

#hero:hover {
  background: linear-gradient(to right, #F7AE15 0%, #EB3C21 100%);
  color: white;
}


/*----------------------
second section
------------------------*/


.Offers {
  text-align: center;
}

.boxes {
  display: flex;
  margin-left: 40px;
}

.box {
  width: 200px;
  height: 100px;
  /* background-color: #ff5722; */
  background: linear-gradient(315deg, #ff5722, #f7ae15);
}

.box-text {
  text-align: center;
  margin-top: 28px;
  color: #181818;
}

.infra-box-text {
  text-align: center;

}

.box .infra-box-text {
  margin-top: 10px;
}

.box {
  width: 300px;
  margin: 10px;
  border-radius: 10px;
  box-shadow: 0 4px 8px rgba(0, 0, 0, 0.7);
  opacity: 0;
  transform: translateY(100px);
  transition: opacity 0.6s ease-out, transform 0.6s ease-in;
}

.box.animate {
  opacity: 1;
  transform: translateY(0);
}

/*---------------------------------------
  SITE FOOTER              
-----------------------------------------*/
.site-footer {
  /* background-color: #000000; */
  background-image: url('/images/footerAmbika.png');
  background-repeat: no-repeat;
  background-size: cover;
  padding-top: 100px;
  padding-bottom: 100px;
}

.site-footer strong {
  color: var(--white-color);
}

#foot {
  background-color: #d4d4d4;
  font-weight: bold;
  color: #000000;
}

#foot:hover {
  background: linear-gradient(to right, #F7AE15, #EB3C21);
  color: white;
}

/* #fix{
  position: fixed;
  background:white;
  border-radius: var(--border-radius-large);
  color: white;
  z-index: 4;
  margin-top:500px ;
  font-size: var(--menu-font-size);
  display: block;
  right: 80px;
  text-align: center;
  width: 35px;
  height: 35px;
  line-height: 35px;
  transition: background 0.2s, color 0.2s;
} */

.site-footer p,
.site-footer-link {
  color: rgba(255, 255, 255, 0.75);
  font-size: var(--btn-font-size);
}

.site-footer-link {
  color: rgba(255, 255, 255, 0.75);
  font-size: var(--btn-font-size);
  transition: all 0.3s;
}

.site-footer-link:hover {
  color: rgba(255, 255, 255, 0.75);
  text-decoration: underline;
}

.copyright-text {
  color: rgba(255, 255, 255, 0.75);
  font-size: var(--menu-font-size);
}

.copyright-text a {
  color: rgba(255, 200, 160, 0.75);
}



.content {
  width: 300px;
  height: 40px;
  box-shadow: 2px 4px 10px rgba(0, 0, 0, .2);
  border-radius: 60px;
  overflow: hidden;
}

.subscription {
  position: relative;
  width: 100%;
  height: 100%;
}

.subscription .add-email {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  border: none;
  outline: none;
  padding: 0 20px;
}

.subscription .submit-email {
  position: absolute;
  top: 0;
  right: 0;
  height: calc(100% - 2px);
  width: 100px;
  border: none;
  border-radius: 60px;
  outline: none;
  margin: 1px;
  padding: 0 20px;
  cursor: pointer;
  background: #F79E1B;
  color: #FFFFFF;
  transition: width .35s ease-in-out,
    background .35s ease-in-out;
}

.subscription.done .submit-email {
  width: calc(100% - 2px);
  background: linear-gradient(to right, #F7AE15, #EB3C21);
}

.subscription .submit-email .before-submit,
.subscription .submit-email .after-submit {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  text-align: center;
  line-height: 38px;
  transition: visibility .35s ease-in-out,
    opacity .35s ease-in-out;
}

.subscription.done .submit-email .before-submit,
.subscription:not(.done) .submit-email .after-submit {
  visibility: hidden;
  opacity: 0;
}

.subscription .submit-email .after-submit {
  transition-delay: .35s;
}

.subscription:not(.done) .submit-email .before-submit,
.subscription.done .submit-email .after-submit {
  visibility: visible;
  opacity: 1;
}




/*---------------------------------------
  SOCIAL ICON               
-----------------------------------------*/
.social-icon {
  margin: 0;
  padding: 0;
}

.social-icon-item {
  list-style: none;
  display: inline-block;
  vertical-align: top;
}

.social-icon-link {
  background: linear-gradient(to right, #F7AE15 0%, #EB3C21 100%);
  border-radius: 100px;
  color: white;
  font-size: 16px;
  display: block;
  margin: 0 5px;
  text-align: center;
  width: 35px;
  height: 35px;
  line-height: 35px;
  transition: background 0.2s, color 0.2s;
}

.social-icon-link:hover {
  background: white;
  color: #F79E1B;
}

.social-icon-link span {
  display: block;
}

